<?php
$path='../docdigital'; 
$enlace = $path."/".$arch; 
header ("Content-Disposition: attachment; filename=".$arch); 
header ("Content-Type: application/octet-stream"); 
header ("Content-Length: ".filesize($enlace)); 
readfile($enlace); 
/*    $extensiones = array("jpg", "jpeg", "png", "gif","pdf","doc","txt");
	$path='../docdigital'; 
    $f = $_GET["arch"];
	$enlace = $path."/".$f;
    if(strpos($f,"/")!==false){
        die("No puedes navegar por otros directorios");
    }
    $ftmp = explode(".",$f);
    $fExt = strtolower($ftmp[count($ftmp)-1]);

    if(!in_array($fExt,$extensiones)){
        die("<b>ERROR!</b> no es posible descargar archivos con la extensión $fExt");
    }
    header("Content-type: application/octet-stream");
    header("Content-Disposition: attachment; filename=\"$f\"\n");
    $fp=fopen($enlace, "r");
    fpassthru($fp);*/
?> 